Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Class AbstractEventHandle

java.lang.Object
org.firebirdsql.gds.ng.AbstractEventHandle

All Implemented Interfaces:
  `EventHandle`

Direct Known Subclasses:
  `WireEventHandle`

public abstract class AbstractEventHandle extends Object implements EventHandle
Abstract implementation for event handle.

Since:
  3.0
Author:
  Mark Rotteveel

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractEventHandle(String eventName, EventHandler eventHandler)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final int`
  `getEventCount()`
  Get the count of event occurrences for the most recent occurrence(s) of the event for which this handle is registered.
  `final String`
  `getEventName()`
  Get the name of the event for which this handle is set to listen for
  `protected final void`
  `onEventOccurred()`
  `protected void`
  `setEventCount(int eventCount)`
  Sets the current known event count for this handle.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.firebirdsql.gds.EventHandle

  `getEventId`

- ## Constructor Details

  - ### AbstractEventHandle

    protected AbstractEventHandle(String eventName, EventHandler eventHandler)

- ## Method Details

  - ### getEventName

    public final String getEventName()
    Description copied from interface: `EventHandle`
    Get the name of the event for which this handle is set to listen for
    Specified by:
      `getEventName` in interface `EventHandle`
    Returns:
      The name of the event

  - ### setEventCount

    protected void setEventCount(int eventCount)
    Sets the current known event count for this handle.
    Parameters:
      `eventCount` - The event count

  - ### getEventCount

    public final int getEventCount()
    Description copied from interface: `EventHandle`
    Get the count of event occurrences for the most recent occurrence(s) of the event for which this handle is registered.
    Specified by:
      `getEventCount` in interface `EventHandle`
    Returns:
      The event count

  - ### onEventOccurred

    protected final void onEventOccurred()